CVE-2005-3955
CVSS4.3
发布时间 :2005-12-01 01:03:00
修订时间 :2015-06-30 09:04:27
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in MagpieRSS 7.1, as used in (a) blogBuddiesv 0.3, (b) Jaws 0.6.2, and possibly other products, allow remote attackers to inject arbitrary web script or HTML via the (1) url parameter to (a) magpie_debug.php and (2) rss_url parameter to (b) magpie_slashbox.php and (c) simple_smarty.php.


[CNNVD]BlogBuddies多个跨站脚本攻击漏洞(CNNVD-200512-023)

        (a) blogBuddiesv 0.3, (b) Jaws 0.6.2以及可能的其他产品中使用的MagpieRSS 7.1存在多个跨站脚本攻击漏洞。远程攻击者可以借助 (1) 对 (a) magpie_debug.php的url参数和(2) 对 (b) magpie_slashbox.php和(c) simple_smarty.php的rss_url 参数,执行任意的Web脚本或HTML 。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:magpierss:magpierss:7.1
cpe:/a:blogbuddies:blogbuddies:0.3
cpe:/a:jaws:jaws:0.6.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3955
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3955
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-023
(官方数据源) CNNVD

- 其它链接及资源

http://sourceforge.net/tracker/index.php?func=detail&aid=1366743&group_id=127552&atid=708847
(PATCH)  CONFIRM  http://sourceforge.net/tracker/index.php?func=detail&aid=1366743&group_id=127552&atid=708847
http://xforce.iss.net/xforce/xfdb/27337
(UNKNOWN)  XF  jaws-magpieslashbox-xss(27337)
http://www.vupen.com/english/advisories/2006/2546
(VENDOR_ADVISORY)  VUPEN  ADV-2006-2546
http://www.securityfocus.com/bid/18665
(UNKNOWN)  BID  18665
http://www.securityfocus.com/bid/15555
(UNKNOWN)  BID  15555
http://www.securityfocus.com/archive/1/archive/1/438434/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060626 Jaws <= 0.6.2 'Search gadget' SQL injection
http://www.osvdb.org/21643
(UNKNOWN)  OSVDB  21643
http://www.osvdb.org/21113
(UNKNOWN)  OSVDB  21113
http://www.osvdb.org/21112
(UNKNOWN)  OSVDB  21112
http://www.jaws-project.com/index.php?blog/show/29
(UNKNOWN)  MISC  http://www.jaws-project.com/index.php?blog/show/29
http://securitytracker.com/id?1015264
(UNKNOWN)  SECTRACK  1015264
http://seclists.org/fulldisclosure/2015/May/35
(UNKNOWN)  FULLDISC  20150508 Feed2JS v1.7 XSS (Cross-site Scripting) Web Security Vulnerabilities
http://retrogod.altervista.org/JAWS_062_sql.html
(UNKNOWN)  MISC  http://retrogod.altervista.org/JAWS_062_sql.html

- 漏洞信息

BlogBuddies多个跨站脚本攻击漏洞
中危 跨站脚本
2005-12-01 00:00:00 2006-06-30 00:00:00
远程  
        (a) blogBuddiesv 0.3, (b) Jaws 0.6.2以及可能的其他产品中使用的MagpieRSS 7.1存在多个跨站脚本攻击漏洞。远程攻击者可以借助 (1) 对 (a) magpie_debug.php的url参数和(2) 对 (b) magpie_slashbox.php和(c) simple_smarty.php的rss_url 参数,执行任意的Web脚本或HTML 。

- 公告与补丁

        

- 漏洞信息

21112
MagpieRSS magpie_debug.php url Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

MagpieRSS as used in blogBuddies contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'url' variable upon submission to the 'magpie_debug.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-25 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, trumpetboy8282 has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站